Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Enhanced webhook events and API fields

API release

Summary:New webhook events & API updates optimize contact center operations.

Added

  • New Webhook event::
    • contact_center.engagement_messaging_transcript_completed

Changed

  • New channel and channel_source request fields in this Flows API.
    • GET /v2/contact_center/flows
  • New average_outbound_wrap_up_duration, total_outbound_wrap_up_duration, and total_outbound_answer_duration, average_outbound_answer_duration response fields in these Reports APIs.
    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • New average_outbound_hold_duration, channel_sources, total_outbound_hold_duration, messaging, and interval response fields in these Reports APIs.
    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • New channel_source and channel response fields in these Flows APIs.
    • GET /v2/contact_center/flows/{flowId}
    • GET /v2/contact_center/flows
  • New channel_sources and direction request fields in this Engagements API.
    • GET /v2/contact_center/engagements
  • New channels and required_skill_ids,queue_wait_type response fields in this Reports API.
    • GET /v2/contact_center/analytics/historical/details/metrics
  • New channel_source and channel response fields in this Engagements API.
    • GET /v2/contact_center/engagements/{engagementId}
  • New channels and transcript_url response fields in these Engagements APIs.
    • GET /v2/contact_center/engagements
    • GET /v2/contact_center/engagements/{engagementId}
  • New page_size and channel request fields in these Recordings APIs.
    • GET /v2/contact_center/users/{userId}/recordings
    • GET /v2/contact_center/queues/{queueId}/recordings
    • GET /v2/contact_center/recordings
    • GET /v2/contact_center/engagements/{engagementId}/recordings
  • New channel_source field in these Webhook events.
    • contact_center.engagement_wrap_up_started
    • contact_center.task_reservation_created
    • contact_center.task_exited_queue
    • contact_center.task_reservation_rejected
    • contact_center.task_reservation_accepted
    • contact_center.engagement_note_added
    • contact_center.task_reservation_canceled
    • contact_center.engagement_wrap_up_ended
    • contact_center.task_reservation_completed
    • contact_center.task_reservation_timeout
    • contact_center.engagement_disposition_added
    • contact_center.task_entered_queue
  • New channel field in these Webhook events.
    • contact_center.engagement_consumer_ended
    • contact_center.engagement_user_muted
    • contact_center.engagement_transfer_reserved
    • contact_center.engagement_user_unmuted
    • contact_center.engagement_wrap_up_started
    • contact_center.task_reservation_created
    • contact_center.task_exited_queue
    • contact_center.engagement_monitor_started
    • contact_center.task_reservation_rejected
    • contact_center.recording_started
    • contact_center.engagement_transfer_canceled
    • contact_center.engagement_monitor_ended
    • contact_center.engagement_transfer_completed
    • contact_center.engagement_transfer_initiated
    • contact_center.engagement_takeover_started
    • contact_center.engagement_user_dtmf_sent
    • contact_center.task_reservation_accepted
    • contact_center.engagement_note_added
    • contact_center.engagement_consumer_notified
    • contact_center.engagement_user_unhold
    • contact_center.recording_stopped
    • contact_center.task_reservation_canceled
    • contact_center.engagement_consumer_answered
    • contact_center.engagement_wrap_up_ended
    • contact_center.task_reservation_completed
    • contact_center.engagement_user_hold
    • contact_center.engagement_transfer_timeout
    • contact_center.recording_transcript_completed
    • contact_center.engagement_transfer_rejected
    • contact_center.recording_completed
    • contact_center.task_reservation_timeout
    • contact_center.recording_resumed
    • contact_center.engagement_disposition_added
    • contact_center.engagement_transfer_accepted
    • contact_center.recording_paused
    • contact_center.engagement_user_ended
    • contact_center.engagement_user_answered
    • contact_center.engagement_transfer_queued
    • contact_center.task_entered_queue